PHP Manual
Prev |  | Next

# imagepng

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

imagepng -- Output a PNG image to either the browser or a file

## Description

bool imagepng ( resource image [, string filename [, int quality [, int filters]]] )

Outputs or saves a PNG image from the given `image`.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to the saved file. If not set or `NULL`, the raw image stream will be outputed directly.

  > Note: `NULL` is invalid if the `quality` and `filters` arguments are not used.

`quality`

  Compression level: from 0 (no compression) to 9.

`filters`

  Allows reducing the PNG file size. It is a bitmask field which may be set to any combination of the `PNG_FILTER_XXX` constants. `PNG_NO_FILTER` or `PNG_ALL_FILTERS` may also be used to respectively disable or activate all filters.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## ChangeLog

Version | Description
--- | ---
5.1.3 | Added the `filters` parameter.
5.1.2 | Added the `quality` parameter.

## Examples

`<?php $im = imagecreatefrompng("test.png"); imagepng($im); ?>`

## See Also

imagegif()
imagewbmp()
imagejpeg()
imagetypes()

Prev | Home | Next
imagepalettecopy | Up | imagepolygon